PHP ��U
前一頁 |  | 下一頁

# json_decode

(no version information, might be only in CVS)

json_decode -- Decodes a JSON string

## Description

mixed json_decode ( string json [, bool assoc] )

Takes a JSON encoded string and converts it into a PHP variable.

## Parameters

json

  The json string being decoded.

assoc

  When `TRUE`, returned objects will be converted into associative arrays.

## Return Values

Returns an object or if the optional assoc parameter is `TRUE`, an associative array is instead returned.

## �d��

範例 1. json_decode() examples
`<?php $json = '{"a":1,"b":2,"c":3,"d":4,"e":5}'; var_dump(json_decode($json)); var_dump(json_decode($json, true)); ?>`
The above example will output:
    object(stdClass)#1 (5) {
        ["a"] => int(1)
        ["b"] => int(2)
        ["c"] => int(3)
        ["d"] => int(4)
        ["e"] => int(5)
    }

    array(5) {
        ["a"] => int(1)
        ["b"] => int(2)
        ["c"] => int(3)
        ["d"] => int(4)
        ["e"] => int(5)
    }

## �Ѧ�

json_encode()

前一頁 | 內容 | 下一頁
JSON Functions | 上一層 | json_encode